LibreOffice: XRoot Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XRoot Interface Reference

Root interface being passed to SaxDocumentHandler service upon instantiation. More...

Inheritance diagram for XRoot:

## Public Member Functions
void | startDocument ([in] XNamespaceMapping xMapping) raises (com::sun::star::xml::sax::SAXException)
| Receives notification of the beginning of a document.
void | endDocument () raises (com::sun::star::xml::sax::SAXException)
| Receives notification of the end of a document.
void | processingInstruction ([in] string target, [in] string data) raises (com::sun::star::xml::sax::SAXException)
| Receives notification of a processing instruction.
void | setDocumentLocator ([in] com::sun::star::xml::sax::XLocator locator) raises (com::sun::star::xml::sax::SAXException)
| Receives an object for locating the origin of SAX document events.
XElement | startRootElement ([in] long uid, [in] string localName, [in] XAttributes xAttributes) raises (com::sun::star::xml::sax::SAXException)
| Called upon root element.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Root interface being passed to SaxDocumentHandler service upon instantiation.

## Member Function Documentation

## ◆ endDocument()

void endDocument | ( |  | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

Receives notification of the end of a document.

## ◆ processingInstruction()

void processingInstruction | ( | [in] string | target,
|  | [in] string | data
| ) |  |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

Receives notification of a processing instruction.

Parameters

  target | target
  data | data

## ◆ setDocumentLocator()

void setDocumentLocator | ( | [in] com::sun::star::xml::sax::XLocator | locator | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

Receives an object for locating the origin of SAX document events.

Parameters

  locator | locator

## ◆ startDocument()

void startDocument | ( | [in] XNamespaceMapping | xMapping | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

Receives notification of the beginning of a document.

Parameters

  xMapping | mapping to obtain ids out of XML namespace URIs and vice versa

## ◆ startRootElement()

XElement startRootElement | ( | [in] long | uid,
|  | [in] string | localName,
|  | [in] XAttributes | xAttributes
| ) |  |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

Called upon root element.

Parameters

  uid | namespace uid of element
  localName | local name of element
  xAttributes | attributes of element

The documentation for this interface was generated from the following file:

- com/sun/star/xml/input/XRoot.idl